OpenVDB 3.2.0

Public Types | Public Member Functions | List of all members
BBoxFilter< ParticleArrayType, IndexT > Struct Template Reference

`#include <ParticleAtlas.h>`

## Public Types
typedef ParticleArrayType::PosType | PosType
typedef PosType::value_type | ScalarType
typedef std::pair< const IndexT *, const IndexT * > | Range
typedef std::deque< Range > | RangeDeque
typedef std::deque< IndexT > | IndexDeque

## Public Member Functions
| BBoxFilter (RangeDeque &ranges, IndexDeque &indices, const BBoxd &bbox, const ParticleArrayType &particles, bool hasUniformRadius=false)
template<typename LeafNodeType >
void | filterLeafNode (const LeafNodeType &leaf)
void | filterVoxel (const Coord &, const IndexT *begin, const IndexT *end)

## Member Typedef Documentation

## ◆ IndexDeque

typedef std::deque<IndexT> IndexDeque

## ◆ PosType

typedef ParticleArrayType::PosType PosType

## ◆ Range

typedef std::pair<const IndexT*, const IndexT*> Range

## ◆ RangeDeque

typedef std::deque<Range> RangeDeque

## ◆ ScalarType

typedef PosType::value_type ScalarType

## Constructor & Destructor Documentation

## ◆ BBoxFilter()

BBoxFilter | ( | RangeDeque & | ranges,
|  | IndexDeque & | indices,
|  | const BBoxd & | bbox,
|  | const ParticleArrayType & | particles,
|  | bool | hasUniformRadius = `false`
| ) |  |
| inline

## Member Function Documentation

## ◆ filterLeafNode()

void filterLeafNode | ( | const LeafNodeType & | leaf | ) |
| inline

## ◆ filterVoxel()

void filterVoxel | ( | const Coord & | ,
|  | const IndexT * | begin,
|  | const IndexT * | end
| ) |  |
| inline

The documentation for this struct was generated from the following file:

- ParticleAtlas.h